Bug 984937 - Latex style fonts cannot be saved as eps file in matplotlib
Latex style fonts cannot be saved as eps file in matplotlib
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 08:19 EDT by Lodegario Malpica
Modified: 2014-02-05 17:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:08:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lodegario Malpica 2013-07-16 08:19:05 EDT
Description of problem:
I am trying to save a eps figure using matplotlib

Version-Release number of selected component (if applicable):


How reproducible:
importing matplotlib.pyplot, trying to use greek symbols and save figure as EPS. Using cairo and stix don't fix the problem.

Steps to Reproduce:
1. import matplotlib.pyplot as plt
2. plot something
3. plt.ylabel(r'$\Delta_{m}$')
4. plt.savefig('prueba.eps')

Actual results:

File "/usr/lib64/python2.7/site-packages/matplotlib/pyplot.py", line 472, in savefig
    return fig.savefig(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/matplotlib/figure.py", line 1363, in savefig
    self.canvas.print_figure(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/matplotlib/backend_bases.py", line 2093, in print_figure
    **kwargs)
  File "/usr/lib64/python2.7/site-packages/matplotlib/backend_bases.py", line 1840, in print_eps
    return ps.print_eps(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_ps.py", line 974, in print_eps
    return self._print_ps(outfile, 'eps', *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_ps.py", line 1007, in _print_ps
    **kwargs)
  File "/usr/lib64/python2.7/site-packages/matplotlib/backends/backend_ps.py", line 1160, in _print_figure
    raise RuntimeError("OpenType CFF fonts can not be saved using the internal Postscript backend at this time.\nConsider using the Cairo backend.")
RuntimeError: OpenType CFF fonts can not be saved using the internal Postscript backend at this time.
Consider using the Cairo backend.

Expected results:
And EPS figure with greek symbols in axes labels

Additional info:
Comment 1 Fedora End Of Life 2013-12-21 09:20:24 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Thomas Spura 2014-01-25 11:12:06 EST
I cannot reproduce it here on F20 with matplotlib versions 1.3.0 and 1.3.1.
Comment 3 Fedora End Of Life 2014-02-05 17:08:23 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.